#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>
#include <ext/rope>

#define ff(i,a,b) for(int (i) = (a); (i) <= (b); ++(i))
#define fb(i,a,b) for(int (i) = (a); (i) >= (b); --(i))
#define mod 998244353
#define xx first
#define yy second
#define all(a) (a).begin(), (a).end()
#define pb push_back
#define ll long long
#define pii pair<int,int>


using namespace std;
using namespace __gnu_pbds;
typedef tree<int, null_type, less<int>,rb_tree_tag, tree_order_statistics_node_update> ordered_set;/// find_by_order(x)(x+1th) , order_of_key() (strictly less)
mt19937 rnd(chrono::steady_clock::now().time_since_epoch().count());







int main()
{

    ios_base::sync_with_stdio(false); cin.tie(0);
    int a,b;
    cin >> a >> b;
    vector<int> v;
    while(max(a,b)>0){
        if((a%10) == (b%10)){v.pb(a%10);v.pb(a%10);}
        else v.pb(max(a%10, b%10));
        a/=10;
        b/=10;
    }
    reverse(v.begin(),v.end());
    for(auto c:v)cout << c;
    return 0;
}